{ nixpkgs, gpgKey }:

let
  pkgs = nixpkgs.legacyPackages.x86_64-linux;
in
{
  config = import ./config { inherit pkgs gpgKey; };

  expandSaltTemplate = import ./config/salt-support/expand-template.nix { inherit pkgs; };

  netmasks = import ./netmasks.nix;

  subnet = import ./subnet { inherit pkgs; };
}
